class ITask < ActiveRecord::Base
  belongs_to :i_task_project
  belongs_to :admin
  belongs_to :creator, :class_name => "Admin"
  
  has_one :p_customer, :through => :i_website
  
  validates :name, :presence => true
  
  
  before_validation do 
    if !self.done
      self.done_at = nil
    elsif self.done and !self.done_at?
      self.done_at = Time.now
    end
      
  end
  
end
